Package htsjdk.tribble.bed

# Interface BEDFeature

All Superinterfaces:
  `Feature`, `Locatable`, `NamedFeature`

All Known Implementing Classes:
  `FullBEDFeature`, `SimpleBEDFeature`

public interface BEDFeature extends NamedFeature

## Method Summary

Modifier and Type
Method
Description
`Color`
`getColor()`
`String`
`getDescription()`
`List<FullBEDFeature.Exon>`
`getExons()`
`String`
`getLink()`
`float`
`getScore()`
`Strand`
`getStrand()`
`String`
`getType()`

### Methods inherited from interface htsjdk.tribble.Feature

`getChr`

### Methods inherited from interface htsjdk.samtools.util.Locatable

`contains, contigsMatch, getContig, getEnd, getLengthOnReference, getStart, overlaps, withinDistanceOf`

### Methods inherited from interface htsjdk.tribble.NamedFeature

`getName`

## Method Details

### getStrand

Strand getStrand()

### getType

String getType()

### getColor

Color getColor()

### getDescription

String getDescription()

### getExons

List<FullBEDFeature.Exon> getExons()

### getScore

float getScore()

### getLink

String getLink()